version: 1.4

prefs:
  logPath: /home/powellc/var/log/jobber.log
  runLog:
    type: file
    path: /home/powellc/var/run/jobber
    maxFileLen: 100m
    maxHistories: 2

jobs:
  CheckForNewWallpaper:
    cmd: /home/powellc/.bin/changepaper.sh
    time: 0 */30
    onError: Stop
    notifyOnFailure:
      - *filesystemSink

  SyncMail:
    cmd: /home/powellc/.bin/syncmail.sh
    time: 0 */5
    onError: Stop
    notifyOnFailure:
      - *filesystemSink

resultSinks:
  - &filesystemSink
    type: filesystem
    path: /home/bob/tmp/jobber-results
    data:
      - stdout
      - stderr
    maxAgeDays: 10

  - &textAirQuality
    type: program
    path: /home/bob/text-air-quality.sh
